Debian Bug report logs - #650066
ITP: fonts-roboto -- Font introduced in Google Android 4.0 (Icecream Sandwich)

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Teg Skywalker <tegskywalker@hotmail.com>

Date: Sat, 26 Nov 2011 06:54:01 UTC

Owned by: 651600@bugs.debian.org, Vasudev Kamath <kamathvasudev@gmail.com>

Severity: wishlist

Merged with 651600

Fixed in version fonts-android/1:4.2.r1-1

Done: Vasudev Kamath <kamathvasudev@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#650066; Package fonts-robotoseverity: see below. (Sat, 26 Nov 2011 06:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Teg Skywalker <tegskywalker@hotmail.com>:
New Bug report received and forwarded. Copy sent to unknown-package@qa.debian.org. (Sat, 26 Nov 2011 06:54:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Teg Skywalker <tegskywalker@hotmail.com>
To: <submit@bugs.debian.org>
Subject: RFP: fonts-roboto -- Roboto fonts for Debian
Date: Sat, 26 Nov 2011 06:52:20 +0000
Package: fonts-robotoSeverity: see below
I would like to request the Roboto fonts for inclusion in the Debian repositories considering that they are under an Apache license much like the ttf-droid packages which include Droid Sans, Droid Serif, and Droid Sans Mono. The fonts can be obtained in TrueType form (ttf) at http://www.fontsquirrel.com/fonts/roboto which include the three types, their bold and italic equivalents, and an included license. If this can be packaged easily and put into your repositories (which will also filter down into Ubuntu and other variants of course), then it would be a great service to Debian users with another high quality and free font. 		 	   		  



Bug reassigned from package 'fonts-robotoseverity: see below' to 'wnpp'. Request was from Paul Wise <pabs@debian.org> to control@bugs.debian.org. (Sat, 26 Nov 2011 09:15:15 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'normal' Request was from Gergely Nagy <algernon@madhouse-project.org> to control@bugs.debian.org. (Sat, 26 Nov 2011 11:09:02 GMT) Full text and rfc822 format available.

Merged 650066 651600. Request was from Andreas Bombe <aeb@debian.org> to control@bugs.debian.org. (Sat, 07 Jan 2012 16:27:03 GMT) Full text and rfc822 format available.

Owner recorded as 651600@bugs.debian.org, Vasudev Kamath <kamathvasudev@gmail.com>. Request was from Vasudev Kamath <kamathvasudev@gmail.com> to control@bugs.debian.org. (Wed, 14 Nov 2012 16:15:10 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: fonts-roboto -- Font introduced in Google Android 4.0 (Icecream Sandwich)' from 'RFP: fonts-roboto -- Roboto fonts for Debian' Request was from Vasudev Kamath <kamathvasudev@gmail.com> to control@bugs.debian.org. (Wed, 14 Nov 2012 16:15:11 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 02 Dec 2012 19:06:03 GMT) Full text and rfc822 format available.

Message #18 received at 651600-close@bugs.debian.org (full text, mbox):

From: Vasudev Kamath <kamathvasudev@gmail.com>
To: 651600-close@bugs.debian.org
Subject: Bug#651600: fixed in fonts-android 1:4.2.r1-1
Date: Sun, 09 Dec 2012 12:00:05 +0000
Source: fonts-android
Source-Version: 1:4.2.r1-1

We believe that the bug you reported is fixed in the latest version of
fonts-android, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 651600@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Vasudev Kamath <kamathvasudev@gmail.com> (supplier of updated fonts-android package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 28 Nov 2012 22:16:06 +0530
Source: fonts-android
Binary: fonts-droid fonts-roboto ttf-droid
Architecture: source all
Version: 1:4.2.r1-1
Distribution: experimental
Urgency: low
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Changed-By: Vasudev Kamath <kamathvasudev@gmail.com>
Description: 
 fonts-droid - handheld device font with extensive style and language support
 fonts-roboto - sans-serif font family released with Android Ice Cream Sandwich
 ttf-droid  - transitional dummy package
Closes: 651600 681330 686685
Changes: 
 fonts-android (1:4.2.r1-1) experimental; urgency=low
 .
   [ Andrew Starr-Bochicchio ]
   * debian/local/65-droid-sans-fonts.conf: (Closes: #686685)
    - Update so that there are not multiple values within
      test tags as Fontconfig warns that this is not supported.
   * Use xz compression for the package
 .
   [ Vasudev Kamath ]
   * Recreated the source tarball including the Roboto and other fonts
     released with Android 4.2 release.
     Closes: #651600, #681330
   * Changed version string to use same version as Android release version
   * debian/control
     + Source package named to fonts-android as the source package with this
       release contains multiple font family
     + Introduced fonts-roboto binary package which ships Roboto fonts
     + Added myself to uploaders of the package
     + Added Pre-Depends on dpkg (>= 1.15.6~) on both binary package to supress
       lintian warnings.
   * debian/install renamed to debian/fonts-droid.install
   * debian/fonts-roboto.install is introduced to install Roboto fonts
   * debian/rules:
     + Introduced get-orig-source target to allow construction of original
       source tarball.
   * debian/create-orig-source:
     + Script to support get-orig-source target.
 .
   [ Fabian Greffrath ]
   * Add an epoch to the version number, as 4.2 < 20111207.
   * Install the exact same set of Droid fonts as in the previous package
     revision.
   * The fonts-droid packages must not Provides: ttf-droid, the files are
     installed into different locations.
   * Fix Vcs-* fields in debian/control.
   * Fix versions in Breaks and Replaces relations.
   * Turn debian/bug/* into real debhelper helper files.
   * Move debian/links to fonts-droid.links.
   * Move debian/preinst to fonts-droid.preinst.
   * Update debian/README.Debian with instructions to reconstruct the Debian
     source tarball and rename it to README.source, which is more appropriate.
   * Change Homepage field to point to the Android Git repository.
Checksums-Sha1: 
 371e2dc606850d305ceeef6b81b68661aa71f3c9 1509 fonts-android_4.2.r1-1.dsc
 5b534031adb01b9033f860ecf8e18fa0fc594509 7326856 fonts-android_4.2.r1.orig.tar.xz
 16006c6edb0b7bfb576491ade1f52d1ff6ef06ea 5843 fonts-android_4.2.r1-1.debian.tar.gz
 8f0bf0fa3866b7827a46b4fc54732d32def6cbb5 3039220 fonts-droid_4.2.r1-1_all.deb
 efeebbb43cbba129f4b463700ad4acf14f704c1f 362366 fonts-roboto_4.2.r1-1_all.deb
 547ccce2953fabb1a1877e26635b607bc0686cdb 3286 ttf-droid_4.2.r1-1_all.deb
Checksums-Sha256: 
 a10772e88fb4eaaf4851127dce72edbbf10793e2bc9d84ab9e75a1f4018a771a 1509 fonts-android_4.2.r1-1.dsc
 9a496112bc95f5426c096355bc8a1acec7a3f0906ed3120536c5eb529a7778a2 7326856 fonts-android_4.2.r1.orig.tar.xz
 b4d57f98c80653cba5e8a9f29511cf8091f9c05976149d0010070c7a6d4c9447 5843 fonts-android_4.2.r1-1.debian.tar.gz
 fa38cf1e1c14d4b75d7b19546e4bac5e9a2fd88e7fb771c0ee42d3218aefd2b0 3039220 fonts-droid_4.2.r1-1_all.deb
 7c43c6df905a347a6778649329356a1327ccd02bc81cf1593115e7cf51d91441 362366 fonts-roboto_4.2.r1-1_all.deb
 95dacbc6e3f22e8a9b29ef09b2d620b670c4e801bc399b263a8657d9ceaf9ed1 3286 ttf-droid_4.2.r1-1_all.deb
Files: 
 a989d389de0907787fccc6f144ae280c 1509 fonts optional fonts-android_4.2.r1-1.dsc
 0eddd08f841dde01bf54494117d10e48 7326856 fonts optional fonts-android_4.2.r1.orig.tar.xz
 cf38513a7b56c218e6f7825350f20392 5843 fonts optional fonts-android_4.2.r1-1.debian.tar.gz
 80427046fba6006a90e82523ffe2e978 3039220 fonts optional fonts-droid_4.2.r1-1_all.deb
 7289be9713798815c98b1f2bebfb4989 362366 fonts optional fonts-roboto_4.2.r1-1_all.deb
 e58b40a7d11df9856dfccf226d6782ed 3286 oldlibs extra ttf-droid_4.2.r1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlC7ZNsACgkQoRg/jtECjI2OCACeKuwDeh0ftUcWpLWhNu9qjbjU
Ng4AoKbAo947gNzOTqu2ER2vAeMnjJG0
=MVhz
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Jan 2013 07:25:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 19:56:54 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.